import { Post } from "@/types/post"

import { FC, PropsWithChildren } from "react";
import AnswerCard from "./AnswerCard";
import LikeStack from "./LikeStack";

type PostProps = {
  post: Post;
}

const Post:FC<PropsWithChildren<PostProps>> = ({
  post
}) => {

  return (
    <>
    <div className="flex w-full py-4 flex-col">

      <div className="flex m-2 items-center">
        <div className="flex h-12 w-12 max-w-xs items-center justify-center rounded-full bg-c-pink text-sm focus:outline-none focus:ring-2 focus:ring-white focus:ring-offset-2 focus:ring-offset-pink-400 mr-2">
          <img className="h-12 w-12 rounded-full" src={post.User.profile} alt="" />
        </div>
        <div className="flex-1 flex-col">
          <p className="">{post.User.name}</p>
          <p className="text-sm text-gray-500">{`@${post.User.username}`}</p>
        </div>
        <div className="flex flex-col justify-end">
          <p className="text-xs text-gray-500">Just now</p>
        </div>
      </div>


      <div className="flex-1 rounded-3xl font-white md:ml-16">
        <AnswerCard post={post}/>
      </div> 

       
    </div>
            
    </>
  )
}

export default Post